Package org.eclipse.wst.xsl.ui.internal

## org.eclipse.wst.xsl.ui.internal
Class StructuredTextViewerConfigurationXSL

    public class StructuredTextViewerConfigurationXSL
    extends StructuredTextViewerConfigurationXML

StructuredTextViewerConfigurationXSL implements content assistance for attributes and other XPath related functionality.

## Constructor Summary

`StructuredTextViewerConfigurationXSL()`

## Method Summary

`public java.lang.String[]` | `getConfiguredContentTypes(ISourceViewer sourceViewer)` (non-Javadoc)
`protected IContentAssistProcessor[]` | `getContentAssistProcessors(ISourceViewer sourceViewer , java.lang.String partitionType)` Return the processors for the current content type.
`public IHyperlinkDetector[]` | `getHyperlinkDetectors(ISourceViewer sourceViewer)` (non-Javadoc)
`protected LineStyleProvider` | `getLineStyleProviderForXSL()`

## Constructor Detail

## StructuredTextViewerConfigurationXSL

`public StructuredTextViewerConfigurationXSL()`

Configuration for XSL Content Types

## Methods Detail

## getConfiguredContentTypes

`public java.lang.String[] getConfiguredContentTypes(ISourceViewer sourceViewer)`

(non-Javadoc)

### Parameters

`sourceViewer`

### Returns

`java.lang.String[]`

## getContentAssistProcessors

`protected IContentAssistProcessor[] getContentAssistProcessors(ISourceViewer sourceViewer , java.lang.String partitionType)`

Return the processors for the current content type.

### Parameters

`sourceViewer`

`partitionType`

### Returns

`IContentAssistProcessor[]`

## getHyperlinkDetectors

`public IHyperlinkDetector[] getHyperlinkDetectors(ISourceViewer sourceViewer)`

(non-Javadoc)

### Parameters

`sourceViewer`

### Returns

`IHyperlinkDetector[]`

## getLineStyleProviderForXSL

`protected LineStyleProvider getLineStyleProviderForXSL()`

### Returns

`LineStyleProvider`